import * as i0 from "@angular/core";
export declare abstract class AbstractButton {
    type: string;
    color: string;
    icon: string;
    _labelHideMobile: boolean;
    set labelHideMobile(labelHideMobile: any);
    _smallButton: boolean;
    set smallButton(smallButton: any);
    _bigButton: boolean;
    set bigButton(bigButton: any);
    _fullWidth: boolean;
    set fullWidth(fullWidth: any);
    _filled: boolean;
    set filled(filled: any);
    _outline: boolean;
    set outline(outline: any);
    _iconButton: boolean;
    set iconButton(iconButton: any);
    _hoverLabel: boolean;
    set hoverLabel(hoverLabel: any);
    _lowercase: boolean;
    set lowercase(lowercase: any);
    _hover: boolean;
    set hover(hover: any);
    _loading: boolean;
    set loading(loading: any);
    disabled: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractButton, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AbstractButton, never, never, { "type": { "alias": "type"; "required": false; }; "color": { "alias": "color"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "labelHideMobile": { "alias": "labelHideMobile"; "required": false; }; "smallButton": { "alias": "smallButton"; "required": false; }; "bigButton": { "alias": "bigButton"; "required": false; }; "fullWidth": { "alias": "fullWidth"; "required": false; }; "filled": { "alias": "filled"; "required": false; }; "outline": { "alias": "outline"; "required": false; }; "iconButton": { "alias": "icon-button"; "required": false; }; "hoverLabel": { "alias": "hoverLabel"; "required": false; }; "lowercase": { "alias": "lowercase"; "required": false; }; "hover": { "alias": "hover"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, never, false, never>;
}
